import processing.serial.*;
PImage img;
PImage img1;
PImage img2;

Serial myPort;  // Create object from Serial class
int val;      // Data received from the serial port



void setup() 
{
  size(400, 520);
img1 = loadImage ("1.jpg");
img2 = loadImage ("2.jpg");
img = loadImage ("3.jpg");
  // I know that the first port in the serial list on my mac
  // is always my  FTDI adaptor, so I open Serial.list()[0].
  // On Windows machines, this generally opens COM1.
  // Open whatever port is the one you're using.
  String portName = Serial.list()[0];
  myPort = new Serial(this, "/dev/cu.usbserial-FTHBOXCL", 9600);

}

void draw()
{
  if ( myPort.available() > 0) {  // If data is available,
    val = myPort.read();         // read it and store it in val
image (img, 0, 0); 
}
  background(255);             // Set background to white
  if (val == 0) {              // If the serial value is 0,
         image (img2, 0, 0);              // set fill to black
  } 
  else {                       // If the serial value is not 0,
    image(img1, 0, 0);                  // set fill to light gray
  }
  //rect(50, 50, 100, 100);
}
